Community
cancel
Showing results for 
Search instead for 
Did you mean: 
SDe_J
Novice
2,122 Views

Can't run the version of modelsim packaged with Quartus 18.0

I installed Quartus 18, as I will be working with a stratix 10 FPGA. When I try to run modelsim using the vsim command I get this error:

 

 

 

Error in startup script: couldn't load file "$HOMEDIR/intelFPGA/18.0/modelsim_ase/linuxaloem/Img1.4.2/libtkimgwindow1.4.2.so": libz.so.1: cannot open shared object file: No such file or directory Initialization problem, exiting.   Initialization problem, exiting.   while executing "!ASSERT! {!$vsimPriv(StandaloneMode)} "Cannot use file [info script] in -batch mode"" invoked from within "ncFyP12 -+" (file "/mtitcl/vsim/commands.tx_" line 1) invoked from within "source /mtitcl/vsim/commands.tx_" ("package ifneeded VCommands 1.0" script) invoked from within "package require VCommands" invoked from within "ncFyP12 -+" (file "/mtitcl/vsim/vsim" line 1) ** Fatal: Read failure in vlm process (0,0)

The file '$HOMEDIR/intelFPGA/18.0/modelsim_ase/linuxaloem/Img1.4.2/libtkimgwindow1.4.2.so' does exist. I've tried searching for a solution online, but I haven't had any success.

 

I am running this on scientific linux 6.5 (64bit). I have had no issues with the modelsim versions included with Quartus 16.1 and 17.1

 

Thank you for your assistance

 

 

0 Kudos
7 Replies
sstrell
Honored Contributor II
208 Views

I'm not sure what the issue is with Modelsim, but are you using the Pro edition of 18.0? S10 is only supported in Pro.

SDe_J
Novice
208 Views

Yes, I am using the pro version of 18.0

Vicky1
Employee
208 Views

Hi,

Kindly refer the below link & follow the steps,

https://www.intel.com/content/dam/altera-www/global/en_US/pdfs/literature/ug/ug-20093.pdf

 

Let me know if this has helped resolve the issue you are facing or if you need any further assistance.

 

Best Regards

Vikas Jathar 

(This message was posted on behalf of Intel Corporation)

 

SDe_J
Novice
208 Views

Hi Vicky,

 

Thank you for the reply. The instructions in the document you linked are not helpful, as I am unable to start the modelsim program. When I try, I get the error shown above.

Abe
Valued Contributor II
208 Views

Hi,

 

The issue is coz Linux distro is missing few libraries that are needed by ModelSim to work. You will have to install all the required dependancies for ModelSim and Quartus to work .

 

at the terminal prompt type the following command and press Enter;

 

sudo apt-get install libtk-img

 

or just try

 

sudo apt-get install libtkimgwindow1.4.2.so

 

Use the same method to install any missing libraries it mentions as missing or file not found.

 

After installing these missing packages you should be able to open ModelSim / Quartus.

arod412
Beginner
208 Views

I can also confirm what Abraham was talking about. I had a similar issue since I am running CentOS 64-bit and the installation did not take care of dependencies involving 32-bit libraries.

SDe_J
Novice
208 Views

Thanks for the tips. I was able to get it working buy installing zlibrary.i686 using this command:

sudo yum install zlibrary.i686

 zlib is the rhel version of libtk-img

Reply